#!/usr/bin/env python

#
# v1.1, February 8, 2014
# by Fabien Delmotte
#
# Reference: AX_aXAPI_Ref_v2-20121010.pdf
# Usage:
# python A10_show_fixed_nat.py -d <device>
#

import httplib, json, urllib, urllib2, optparse
import socket, ssl
from A10_librairy import *
from xml.etree import ElementTree

# specify device and command
parser = optparse.OptionParser()
parser.add_option('-d', '--device', dest="device", action="store")

options, args = parser.parse_args()
equipment = options.device

# get the session id
session_id = get_session_id(equipment)

# Construct HTTP URL and Post Body
post_body = ""
method = "lsn.fixed_nat.fetchStatistics"
result = send_request(equipment,session_id,method,post_body)
content = json.loads(result)

#close the API session
post_body = ""
method = "session.close"
result = send_request(equipment,session_id,method,post_body)

# Populate
total_nat_address_in_use = content["fixed_nat_global_stats"]["total_nat_address_in_use"]
total_tcp_ports_allocated = content["fixed_nat_global_stats"]["total_tcp_ports_allocated"]
total_udp_ports_allocated = content["fixed_nat_global_stats"]["total_udp_ports_allocated"]
total_icmp_ports_allocated = content["fixed_nat_global_stats"]["total_icmp_ports_allocated"]
nat44_data_sessions_created = content["fixed_nat_global_stats"]["nat44_data_sessions_created"]
tcp_nat_port_unavailable = content["fixed_nat_global_stats"]["tcp_nat_port_unavailable"]
udp_nat_port_unavailable = content["fixed_nat_global_stats"]["udp_nat_port_unavailable"]
icmp_nat_port_unavailable = content["fixed_nat_global_stats"]["icmp_nat_port_unavailable"]
session_user_quota_exceeded = content["fixed_nat_global_stats"]["session_user_quota_exceeded"]

total_tcp_ports_freed = content["fixed_nat_global_stats"]["total_tcp_ports_freed"]
total_udp_ports_freed = content["fixed_nat_global_stats"]["total_udp_ports_freed"]
total_icmp_ports_freed = content["fixed_nat_global_stats"]["total_icmp_ports_freed"]
nat44_data_sessions_freed = content["fixed_nat_global_stats"]["nat44_data_sessions_freed"]

#print "total_nat_address_in_use:%s" %(total_nat_address_in_use)

print "total_nat_address_in_use:%s total_tcp_ports_allocated:%s total_udp_ports_allocated:%s total_icmp_ports_allocated:%s nat44_data_sessions_created:%s tcp_nat_port_unavailable:%s udp_nat_port_unavailable:%s icmp_nat_port_unavailable:%s session_user_quota_exceeded:%s total_tcp_ports_freed:%s total_udp_ports_freed:%s total_icmp_ports_freed:%s nat44_data_sessions_freed:%s" %(total_nat_address_in_use,total_tcp_ports_allocated,total_udp_ports_allocated,total_icmp_ports_allocated,nat44_data_sessions_created,tcp_nat_port_unavailable,udp_nat_port_unavailable,icmp_nat_port_unavailable,session_user_quota_exceeded,total_tcp_ports_freed,total_udp_ports_freed,total_icmp_ports_freed,nat44_data_sessions_freed)

