#!/usr/bin/env python

#
# v1.2, February 6, 2014
# by Fabien Delmotte
#
# Reference: AX_aXAPI_Ref_v2-20121010.pdf
# Usage:
# python A10_show_session_brief.py -d <device>
#

import httplib, json, urllib, urllib2, optparse
import socket, ssl
from A10_librairy import *
from xml.etree import ElementTree

# specify device and command
parser = optparse.OptionParser()
parser.add_option('-d', '--device', dest="device", action="store")

options, args = parser.parse_args()
equipment = options.device

# get the session id
session_id = get_session_id(equipment)

# Construct HTTP URL and Post Body
post_body = "show session brie"
method = "cli.show_info"
result = send_request(equipment,session_id,method,post_body)
#data = json.loads(result)
content = result
content = content.split('\r\n')

#close the API session
post_body = ""
method = "session.close"
result = send_request(equipment,session_id,method,post_body)

# Populate
listfinal=[]
for ligne in content:
	if (ligne.find("TCP Established") == 0):
		TCP_Established = ligne.strip().split(' ')[(len( ligne.strip().split(' ')))-1]
	if (ligne.find("TCP Half Open") == 0):
		TCP_Half_Open = ligne.strip().split(' ')[(len( ligne.strip().split(' ')))-1]
	if (ligne.find("UDP") == 0):
                UDP = ligne.strip().split(' ')[(len( ligne.strip().split(' ')))-1]
	if (ligne.find("Non TCP/UDP IP sessions") == 0):
                Non_TCPUDP_IP_sessions = ligne.strip().split(' ')[(len( ligne.strip().split(' ')))-1]
	if (ligne.find("Curr Free Conn") == 0):
                Curr_Free_Conn = ligne.strip().split(' ')[(len( ligne.strip().split(' ')))-1]

print "TCP_Established:%s TCP_Half_Open:%s UDP:%s Non_TCPUDP_IP_sessions:%s Curr_Free_Conn:%s" %(TCP_Established,TCP_Half_Open,UDP,Non_TCPUDP_IP_sessions,Curr_Free_Conn)
